import request from '@/utils/request'

// 分页查询客户子项信息列表
export function pageListItem(query) {
  return request({
    url: '/cust/item/pageList',
    method: 'get',
    params: query
  })
}

// 查询客户子项信息列表
export function listItem(query) {
  return request({
    url: '/cust/item/list',
    method: 'get',
    params: query
  })
}

// 查询客户子项信息详细
export function getItem(ID) {
  return request({
    url: '/cust/item/' + ID,
    method: 'get'
  })
}

// 新增客户子项信息
export function addItem(data) {
  return request({
    url: '/cust/item',
    method: 'post',
    data: data
  })
}

// 修改客户子项信息
export function updateItem(data) {
  return request({
    url: '/cust/item',
    method: 'put',
    data: data
  })
}

// 删除客户子项信息
export function delItem(ID) {
  return request({
    url: '/cust/item/' + ID,
    method: 'delete'
  })
}

// 导出客户子项信息
export function exportItem(query) {
  return request({
    url: '/cust/item/' + 'export',
    method: 'post',
    params: query
  })
}
